//---------------------------------------------------------------------------

#ifndef FRAME_ItsRoadFH
#define FRAME_ItsRoadFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "CDSItsRoadInfoF.h"
#include "cxButtons.hpp"
#include "cxCalc.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxInplaceContainer.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "cxTL.hpp"
#include "cxTLdxBarBuiltInMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
//---------------------------------------------------------------------------

class TFRAMEItsRoad : public TFrame
{
__published:	// IDE-managed Components
    TcxTreeList *tlItsRoad;
    TcxTreeListColumn *colItsRoad;
    TcxTreeListColumn *colMem;
    TPanel *Panel2;
    TcxLabel *cxLabel5;
    TcxTextEdit *EdFilter;
    TcxButton *btnFilter;
    TcxButton *btnNoFilter;
    TcxLabel *lblAll;
    void __fastcall EdFilterKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall btnFilterClick(TObject *Sender);
    void __fastcall btnNoFilterClick(TObject *Sender);
private:	// User declarations
    bool    FCompleted;
public:
    void __fastcall InitFilter(bool AShow);
    void __fastcall InitItsRoad();
    void __fastcall FilterItsRoad(String AFilter);
    void __fastcall FilterItsRoadA(String AFilter);
    void __fastcall UnFilterItsRoad();
    AnsiString __fastcall GetHTMLString();
    void __fastcall GetCondition(STCodeCondition& ACondition);

    String FSelNm;

public:		// User declarations
    __fastcall TFRAMEItsRoad(TComponent* Owner);

};
//---------------------------------------------------------------------------
//extern PACKAGE TFRAMEItsRoad *FRAMEItsRoad;
//---------------------------------------------------------------------------
#endif

